POST api/NTQA/PostEmployeeQA

Request Information

URI Parameters

None.

Body Parameters

Collection of NTEmployeeQADTO
NameDescriptionTypeAdditional information
EmployeeID

string

String length: inclusive between 0 and 20

CompanyEmployeeId

string

String length: inclusive between 0 and 20

LastName

string

String length: inclusive between 0 and 50

FirstName

string

String length: inclusive between 0 and 50

DOB

string

String length: inclusive between 0 and 20

CompanyName

string

String length: inclusive between 0 and 50

WLName

string

String length: inclusive between 0 and 20

InjuryCases

string

String length: inclusive between 0 and 4000

DemographyOrManual

string

String length: inclusive between 0 and 100

Correct

boolean

None.

InCorrect

boolean

None.

InjuryCasesList

Collection of string

None.

CompanyCode

string

String length: inclusive between 0 and 10

UserName

string

String length: inclusive between 0 and 100

CovidCases

string

String length: inclusive between 0 and 4000

CovidCasesList

Collection of string

None.

MSMCases

string

String length: inclusive between 0 and 8000

MSMCasesList

Collection of string

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "EmployeeID": "sample string 1",
    "CompanyEmployeeId": "sample string 2",
    "LastName": "sample string 3",
    "FirstName": "sample string 4",
    "DOB": "sample string 5",
    "CompanyName": "sample string 6",
    "WLName": "sample string 7",
    "InjuryCases": "sample string 8",
    "DemographyOrManual": "sample string 9",
    "Correct": true,
    "InCorrect": true,
    "InjuryCasesList": [
      "sample string 1",
      "sample string 2"
    ],
    "CompanyCode": "sample string 12",
    "UserName": "sample string 13",
    "CovidCases": "sample string 14",
    "CovidCasesList": [
      "sample string 1",
      "sample string 2"
    ],
    "MSMCases": "sample string 15",
    "MSMCasesList": [
      "sample string 1",
      "sample string 2"
    ]
  },
  {
    "EmployeeID": "sample string 1",
    "CompanyEmployeeId": "sample string 2",
    "LastName": "sample string 3",
    "FirstName": "sample string 4",
    "DOB": "sample string 5",
    "CompanyName": "sample string 6",
    "WLName": "sample string 7",
    "InjuryCases": "sample string 8",
    "DemographyOrManual": "sample string 9",
    "Correct": true,
    "InCorrect": true,
    "InjuryCasesList": [
      "sample string 1",
      "sample string 2"
    ],
    "CompanyCode": "sample string 12",
    "UserName": "sample string 13",
    "CovidCases": "sample string 14",
    "CovidCasesList": [
      "sample string 1",
      "sample string 2"
    ],
    "MSMCases": "sample string 15",
    "MSMCasesList": [
      "sample string 1",
      "sample string 2"
    ]
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfNTEmployeeQADTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of NTEmployeeQADTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "EmployeeID": "sample string 1",
      "CompanyEmployeeId": "sample string 2",
      "LastName": "sample string 3",
      "FirstName": "sample string 4",
      "DOB": "sample string 5",
      "CompanyName": "sample string 6",
      "WLName": "sample string 7",
      "InjuryCases": "sample string 8",
      "DemographyOrManual": "sample string 9",
      "Correct": true,
      "InCorrect": true,
      "InjuryCasesList": [
        "sample string 1",
        "sample string 2"
      ],
      "CompanyCode": "sample string 12",
      "UserName": "sample string 13",
      "CovidCases": "sample string 14",
      "CovidCasesList": [
        "sample string 1",
        "sample string 2"
      ],
      "MSMCases": "sample string 15",
      "MSMCasesList": [
        "sample string 1",
        "sample string 2"
      ]
    },
    {
      "EmployeeID": "sample string 1",
      "CompanyEmployeeId": "sample string 2",
      "LastName": "sample string 3",
      "FirstName": "sample string 4",
      "DOB": "sample string 5",
      "CompanyName": "sample string 6",
      "WLName": "sample string 7",
      "InjuryCases": "sample string 8",
      "DemographyOrManual": "sample string 9",
      "Correct": true,
      "InCorrect": true,
      "InjuryCasesList": [
        "sample string 1",
        "sample string 2"
      ],
      "CompanyCode": "sample string 12",
      "UserName": "sample string 13",
      "CovidCases": "sample string 14",
      "CovidCasesList": [
        "sample string 1",
        "sample string 2"
      ],
      "MSMCases": "sample string 15",
      "MSMCasesList": [
        "sample string 1",
        "sample string 2"
      ]
    }
  ],
  "totalCount": 3
}